changelog 17.4 KB
Newer Older
Marc Dequènes's avatar
Marc Dequènes committed
1
dico (2.7-1) UNRELEASED; urgency=medium
2

Marc Dequènes's avatar
Marc Dequènes committed
3
  [ Ondřej Nový ]
4 5
  * d/copyright: Change Format URL to correct one

Marc Dequènes's avatar
Marc Dequènes committed
6
  [ Marc Dequènes (Duck) ]
7 8 9
  * New upstream release:
    + use new  '--with-libWN' configure option and remove
      'wordnet.diff' patch.
10
    + remove 'html_mime_header.diff' patch, fixed upstream
11
    + soname bump, switching to libdico2
12
  * Added myself to uploaders.
Marc Dequènes's avatar
Marc Dequènes committed
13 14

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 09 Nov 2018 23:06:40 +0900
15

16
dico (2.6-1) experimental; urgency=medium
أحمد المحمودي's avatar
أحمد المحمودي committed
17

18
  * New upstream release (Closes: #885192)
أحمد المحمودي's avatar
أحمد المحمودي committed
19
  * Dropped python3-wit package, replace dependencies with python3-wikitrans
20
  * Removed dicoweb-django.diff, fix_manpage.diff, django_1.10.diff
أحمد المحمودي's avatar
أحمد المحمودي committed
21 22
    patches as they are applied upstream.
  * Refreshed dicoweb-debian.diff patch
23 24 25 26 27 28 29
  * Update py3.diff patch to fix Python3 compatibility
  * Remove texinfo from build-deps, no more needed according to automake fix in #906426.
    Revert "Add texinfo to build-deps"
  * Add memcached to dicoweb's Recommends.
    Webadmins using remote memcached servers can remove this (Closes: #907668)
  * Added html_mime_header.diff patch to fix dicoweb's handling of text/html content type.
    (Closes: #892717)
أحمد المحمودي's avatar
أحمد المحمودي committed
30

31
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 22 Sep 2018 12:48:41 +0200
أحمد المحمودي's avatar
أحمد المحمودي committed
32

33 34 35 36 37 38 39 40 41 42
dico (2.5.90-1) experimental; urgency=medium

  * New upstream release
  * Upload to experimental
  * Refresh patch
  * Bumped compat level to 11
  * Bump Guile dependency to 2.2
  * Migrate to Python3
  * Update standards version to 4.2.0
  * Add py3.diff patch to fix Python3 compatibility
43
  * apache2.conf: set PassengerPython /usr/bin/python3
44 45 46
  * fix_manpagw.diff patch:
    + add NAME section in dicod.conf manpage
    + fix a tag in dicod.conf manpage
47
  * Add texinfo to build-deps
48
  * Add lintian override for stratall not linked against libc
49

50
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 22 Aug 2018 14:21:01 +0200
51

52 53 54 55 56 57 58 59
dico (2.5-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URLs
  * Update standards version
  * debian/rules: change assignment operator for DEB_HOST_ARCH to ?=
  * Update copyright years
  * Switch to secure copyright format URL
60
  * Added upstream bug tracker addresses to upstream metadata
61

62
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 28 Jun 2018 00:54:39 +0200
63

64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91
dico (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Add django_1.10.diff patch to support Django 1.10. Thanks to Marc Dequènes
    (Duck) <duck@duckcorp.org> (Closes: #868832)
  * Remove obsolete patches
  * debian/dicod.{prerm,postinst}: check for update-inetd using which instead
    of checking hard coded path
  * Replace upstream-signing-key.pgp with upstream/signing-key.asc
  * Removed fix-ftbfs-format-string.patch patch, as it is applied upstream
  * Update symbols file
  * Re-enable Guile tests
  * Bumped compat level to 10
    + No need to specify autotools-dev
    + wordnet.diff patch: patch configure.ac & modules/wordnet/Makefile.am
      instead of configure & modules/guile/Makefile.in
  * Bump Standards-Version to 4.1.1
  * Update copyright years
  * debian/dicoweb.links:
    + fix passenger_wsgi.py symlink (Closes: #868830)
    + add symlink to /etc/dicoweb/templates in /var/lib/dicoweb/passenger
  * Added fix_manpage.diff to fix section of dicod manpage
  * dicod.install: add usr/lib/*/idxgcide
  * Remove manpages created by maintainer as upstream now provides manpages
  * Install metaphone2 plugin in dicod

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 12 Oct 2017 03:28:30 +0200

92 93 94 95 96 97 98 99
dico (2.3-2) unstable; urgency=medium

  * Drop broken link to non-existent file.
    Thanks to Andreas Beckmann (Closes: #858511)
  * Add dependency on lsb-base for SysV init script

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 23 Mar 2017 16:37:24 +0530

100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116
dico (2.3-1) unstable; urgency=medium

  * [6fcf6ad] New upstream version 2.3 (Closes: #819835)
  * [70fa481] Drop patches (mostly merged upstream) and refresh others
  * [0756a82] Add python-six to build depends
  * [dc7cc1d] Disable failing Guile sub-test
  * [2af696f] Update dico-dev example install files
  * [f48cda1] Fix FTBFS for string format
  * [bd729d7] Update symbols list for 2.3
  * [5f1d5ff] Add dh-python to build depends
  * [667bab7] Fix Vcs URLs
  * [bbf2276] Add myself as Maintainer. With permission from previous
    maintainer, Ahed El-Mahmoudy
  * [7eb24e8] Update Standards Version to 3.9.8. No changes required

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 15 Sep 2016 16:37:49 +0530

117 118 119 120 121 122 123 124 125
dico (2.2-9) unstable; urgency=medium

  * Add -E to LDFLAGS for mips64el arch. to fix FTBFS.
    Thanks to James Cowgill <james410@cowgill.org.uk> (Closes: #775426)
  * Update my email address
  * debian/copyright: Update copyright years.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 08 May 2015 08:42:28 +0200

126 127 128 129 130 131 132 133 134 135
dico (2.2-8) unstable; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new archs.
    (Closes: #765202)
  * debian/control:
    + Bumped Standards-Version to 3.9.6
    + Update email address.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 19 Oct 2014 11:15:29 +0200

136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167
dico (2.2-7) unstable; urgency=medium

  * Add django_1.7.patch patch to migrate to Django 1.7.
    Thanks to Marc Dequènes (Duck) <duck@duckcorp.org> (Closes: #755585)
  * Added guile2.0.diff patch from upstream to fix FTBFS with Guile 2.x
    debian/rules: Removed override_dh_auto_test target as it is no longer
    needed.
  * debian/clean: Remove examples/*.pyc during clean.
  * debian/dicod*.service, debian/dicod.socket: Install systemd service &
    socket files for dicod inetd mode.
  * Added client-ipv6.diff patch to add IPv6 support to dico client.
  * debian/xinetd/dicod: added a xinetd config file.
  * debian/dicod.postinst: add a disabled inetd entry for dicod during package
    install.
  * debian/dicod.prerm: remove/disable inetd entry for dicod during package
    remove/upgrade.
  * debian/dicod.README.Debian:
    + Indicate that dicod supports IPv6 in inetd mode.
    + Add instructions for runing dicod in inetd mode.
  * debian/dicod.links: add dictd.service -> dicod.service symlink.
  * debian/apache2.conf: Remove mod-python support & add mod-passenger support
    for dicoweb.
  * Add upstream metadata.
  * debian/rules:
    + Fix FTBFS on mips,mipsel,s390x archs by appending -Wl,-E to LDFLAGS for
      those archs. (Closes: #763801)
      see: https://lists.debian.org/debian-mips/2014/09/msg00041.html
    + Set $HOME to temporary directory in the build tree while running the
      test suites in order to fix FTBFS on autobuilders.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 02 Oct 2014 16:25:08 +0200

168 169 170 171 172 173 174 175 176
dico (2.2-6) unstable; urgency=medium

  * debian/control: migrate to Guile 2.0 (Closes: #745995)
  * debian/rules:
    + override dh_auto_test to disable warnings on deprecated
    Guile API calls, and also to disable Guile auto-compilation.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 12 Sep 2014 12:02:47 +0300

177 178 179 180 181 182 183 184 185 186 187 188
dico (2.2-5) unstable; urgency=medium

  * debian/watch:
    + Add xz extension
    + Add pgpsigurlmangle
  * Added debian/upstream-signing-key.pgp
  * Added debian/source/include-binaries
  * Added readline_6.3.diff patch to fix FTBFS against readline 6.3
    (Closes: #741762)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 16 Mar 2014 17:09:53 +0200

189 190 191 192 193 194 195 196 197 198
dico (2.2-4) unstable; urgency=low

  * Updated access control configuration for Apache 2.4 (Closes: #669737)
  * Added django_1.5.diff patch to support Django 1.5 (Closes: #730488)
  * debian/control:
    + Bumped Standards-Version to 3.9.5
    + Bumped dicoweb's python-django dependency to >= 1.4.5

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 25 Nov 2013 23:51:54 +0200

199 200 201 202 203 204 205 206 207 208 209 210 211
dico (2.2-3) unstable; urgency=low

  * debian/libdico1.symbols: Added Build-Depends-Package field.
  * Eliminated check for gets() so source builds with eglibc, fixing FTBFS.
    Thanks to Ubuntu (Closes: #701390) (LP: #1163486)
  * debian/copyright: Update copyright years.
  * debian/control:
    + Updated Standards-Version to 3.9.4
    + Dropped obsolete DMUA field.
    + Use canonical URIs in VCS-* fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 07 Apr 2013 09:46:47 +0200

212 213 214 215 216 217 218 219
dico (2.2-2) unstable; urgency=low

  * debian/rules: Enable all hardening flags.
  * Added dicoweb-django.diff patch to replace deprecated load_template_source
    callers. (Closes: #678912)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 29 Jun 2012 11:03:01 +0200

220
dico (2.2-1) unstable; urgency=low
221 222 223

  * New upstream release.
  * debian/watch: Check for tarballs with numbered versions only
224
  * Bumped compat level to 9
225 226 227
  * debian/control:
    + Updated Standards-Version to 3.9.3
    + debian/control: wrap & sort.
228
    + Added libpcre3-dev, libpam0g-dev, wordnet-dev to Build-Deps.
229 230 231 232
    + Set libdico & dico-dev as Multi-Arch: same
    + Added Pre-Depends: ${misc:Pre-Depends} for libdico &
      dico-module-{guile,wordnet,python} packages.
  * debian/dicod.install: Added gcide, word, nprefix, pcre & pam
233 234 235 236 237 238 239 240
    modules.
  * Switch to dh_python2
    + debian/control:
      - Drop python-support from Build-Deps
      - Bumped python-all Build-Dep to (>= 2.6.6-3~)
      - XS-Python-Version -> X-Python-Version
    + debian/rules: added --with python2 to dh call.
  * debian/copyright: Updated copyright format & years
241 242 243 244 245 246
  * Dropped patches that are applied upstream: dico+kbsd.diff, utf8.diff
  * Refreshed patch: dicoweb-debian.diff
  * debian/*.install: Update lib paths for multiarch
  * debian/dicod.lintian-overrides: Use relative paths for overrides
  * Added wordnet.diff patch to link against -lwordnet instead of -lWN
  * debian/libdico1.symbols: Updated symbols
247

248
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 09 May 2012 04:26:06 +0200
249

250 251 252 253 254 255 256 257 258 259 260
dico (2.1-3) unstable; urgency=low

  * debian/control:
    + Bumped Standards Version to 3.9.1, no changes needed
    + Added ${python:Depends} for dicoweb (Closes: #592001)
    + Add XS-Python-Version field.
  * Removed debian/pyversions
  * Added utf8.diff patch to fix Unicode handling (Closes: #591698)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 19 Aug 2010 11:25:19 +0200

261 262
dico (2.1-2) unstable; urgency=low

أحمد المحمودي's avatar
أحمد المحمودي committed
263
  * debian/rules: Make sure dicoweb is being built before installing
264 265 266 267
    settings.py (Closes: #589049)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 14 Jul 2010 18:20:25 +0300

268
dico (2.1-1) unstable; urgency=low
269 270 271 272 273 274 275 276 277 278

  * New upstream release (Closes: #588403)
  * Refreshed patch dicoweb-debian.diff
  * Removed patches that are applied upstream:
    0001-Speed-up-output-procedure-in-dictorg.patch,
    improve_dicoweb.patch
  * debian/rules: Upstream renamed settings.py to settings-sample.py,
    hence install settings-sample.py in /etc/dicoweb/
  * debian/control:
    + Bumped Standards-Version to 3.9.0, no changes needed.
279 280
    + Drop XB-Python-Version fields and ${python:Provides}, as they are not
      needed.
281 282 283 284
    + Set DMUA (after approval of Marc Dequènes (Duck) <duck@debian.org>)
    + Remove libdico from Depends field of dico & dicod, it should be
      added automatically.
    + Remove python-dev from B-D, since python-all-dev is there
285 286
    + Add libldap2-dev to B-D to compile LDAP module.
    + Add list of included modules in dicod extended description.
287 288 289 290
  * debian/dicod.conf:
    + Match everything strategy is disabled by not loading the stratall
      module.
    + Added a commented section to enable substr strategy.
291
  * debian/dicod.install: Install ldap, substr & stratall modules in dicod
292 293 294
  * debian/dico-module-*.install: For pluggable modules, only install the .so
    files.
  * debian/dico-dev.install: Do not install .la file
295
    (See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
296 297 298
  * debian/watch: Add check for bzip2'ed tarballs
  * Renamed libdico package due to bumped sonames
  * debian/libdico1.symbols: Updated symbols
299
  * Merge dictorg & outline modules into dicod package.
300
  * debian/dicod.conf: Enable dictorg module by default (Closes: #588402).
301

302
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 08 Jul 2010 12:08:56 +0300
303

304
dico (2.0.90-1) unstable; urgency=low
305

306
  * New upstream release. (Closes: #582692, #582696, #582708, #582694)
307
  * Update my email address
308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330
  * debian/dicod.init: Set STARTTIME to 4 seconds (LP: #583993)
  * Added dicoweb-debian.diff patch to set sane dicoweb defaults for a
    Debian system. (Credit to: "Marc Dequènes (Duck)" <duck@duckcorp.org>)
  * Added debian/apache2.conf
    (Credit to: "Marc Dequènes (Duck)" <duck@duckcorp.org>)
  * debian/rules:
    + Install dicoweb/settings.py in /etc/dicoweb/ (Closes: #582671)
    + Install dicoweb/templates, dicoweb/static and debian/apache2.conf in
      /etc/dicoweb/
  * Added debian/dicoweb.links to create a symlink for
    /etc/dicoweb/settings.py in /usr/share/dicoweb
  * Added debian/dicoweb.README.Debian
  * Removed debian/dicoweb.docs, debian/dicoweb.lintian-overrides
  * debian/control: Update Standards-Version to 3.8.4, no changes needed.
  * etc/dicod.conf: Disable "Match everything" strategy by default, as it is
    susceptible to DOS attack.
  * debian/libdico0.symbols: added new symbols
  * Added patch improve_dicoweb.patch from upstream to fix crash while
    displaying a definition (Closes: #582695, #582697)
  * Added patch 0001-Speed-up-output-procedure-in-dictorg.patch from
    upstream to speed up output in dictorg module. (Closes: #582799)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 23 May 2010 20:59:53 +0300
331

332 333
dico (2.0-7) unstable; urgency=low

أحمد المحمودي's avatar
أحمد المحمودي committed
334
  * debian/control: Lowered -mediawiki's python minimum required version to
335 336 337 338
    2.5 since that also has python-xml.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 09 Dec 2009 22:46:02 +0200

339 340 341 342 343 344 345 346 347 348 349 350 351 352
dico (2.0-6) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * debian/control: Changed -mediawiki dependency from python2.6 to
    python (>= 2.6)
  * Added patch dico+kbsd.diff, a workaround for GNU/kFreeBSD since it
    has no ENODATA (Closes: #559764)
  * debian/dicod.init: Indicate dicod init.d script to be stoppable at 0 1 6
    runlevels.
  * debian/dicod.lintian-overrides: Added override for
    init.d-script-does-not-provide-itself

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 07 Dec 2009 11:08:11 +0200

353 354 355 356 357 358 359 360 361 362 363
dico (2.0-5) unstable; urgency=low

  * debian/control: Add python2.6 as an alternative dependency for
    dico-module-mediawiki to provide python XML.
  * debian/dicod.postinst: In case dictd got removed (but not purged), disable
    dictd service, since our dictd init script is just a symlink to dicod
    (Closes: #542020)
  * debian/control: Bumped Standards-Version to 3.8.3, no changes needed.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 27 Aug 2009 09:54:20 +0200

364
dico (2.0-4) unstable; urgency=low
365

366 367 368 369
  * debian/rules:
    + use dh_auto_* --sourcedirectory for the python modules
    + No need to explicitly remove *.pyc files dh_auto_clean override,
      dh_auto_clean does that.
370 371
  * debian/control: Build-Depend on debhelper >= 7.3.5~ to support
    dh_auto_* --sourcedirectory
372
  * debian/pyversions: Set minimum python version to 2.5 (Closes: #540501)
373

374
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 08 Aug 2009 17:27:15 +0300
375

أحمد المحمودي's avatar
أحمد المحمودي committed
376
dico (2.0-3) unstable; urgency=low
377

378 379 380 381 382 383 384 385
  * debian/control:
    + Changed section of dicoweb to web
    + Added le-dico-de-rene-cougnenc to dico's conflicts as they share a
      couple of files (Closes: #538175)
  * debian/rules:
    + override dh_auto_clean target to clean up python modules' subdirs
    + in dh_auto_{build|install} overrides, replace $(MAKE) ... with
      dh_auto_{build|install}
386 387
    + Replace long configure line with a shorter:
      dh_auto_configure -- <needed configure overrides>
388 389
    + Add -Wl,--as-needed to LDFLAGS to avoid linking with un-necessary
      libraries.
390
  * debian/dicod.install: fix install path for dicod.conf (Closes: #538275)
391

392
 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 24 Jul 2009 16:03:36 +0300
393

394 395 396 397
dico (2.0-2) unstable; urgency=low

  * debian/control:
    + Fix dicoweb's Depends (dicoclient-python should be python-dicoclient)
398
      which made it un-installable.
399 400
    + Added Vcs-* fields
    + Bump Standards-Version to 3.8.2, no changes needed
401
    + Build-Depend on debhelper >= 7.0.50~ to support override targets.
402 403
    + Added ${misc:Depends} to Depends fields of dico-dev, dico-doc,
      python-wit, python-dicoclient and dico-module-mediawiki packages.
404
  * debian/rules:
405 406 407
    + Simplify rules file.
    + Make debian/dicodconfig* files executable during dh_auto_build before
      they get installed by dh_install.
408 409
  * Added debian/dico-module-mediawiki.install
  * Removed debian/dicoweb.dirs
410 411 412

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 11 Jul 2009 05:47:05 +0300

413 414 415 416 417
dico (2.0-1) unstable; urgency=low

  * Initial release (Closes: #522368).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 03 Apr 2009 06:28:25 +0200